
QGIS Application - Bug report #1606

deleting non existing record from a GRASS table crashes QGIS

2009-03-31 10:44 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: nobody -

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11666

Description

If I delete a geographical object, and as a consequence also its record on the table, then I try to ask to delete the same record from the

table, QGIS crashes:

Warning: QObject: Do not delete object, 'unnamed', during its event handler!

History

#1 - 2009-06-10 08:41 AM - Lorenzo Masini

See suggestions for refesh button in #1416.

#2 - 2009-07-08 08:33 PM - Lorenzo Masini

Mistake. The right ticket is #1459.

#3 - 2009-07-20 11:58 PM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed

It now does not crash IFAICT
